Bug 158684 - CAN-2005-1705 gdb arbitrary command execution
Summary: CAN-2005-1705 gdb arbitrary command execution
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdb   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jeff Johnston
QA Contact: Jay Turner
URL:
Whiteboard: impact=low,public=20050525,reported=2...
Keywords: Security
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-24 20:09 UTC by Josh Bressers
Modified: 2015-01-08 00:10 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-709
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:41:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:709 qe-ready SHIPPED_LIVE Low: gdb security update 2005-10-05 04:00:00 UTC

Description Josh Bressers 2005-05-24 20:09:59 UTC
gdb before 6.3 searches the current working directory to load the
.gdbinit configuration file, which allows local users to execute
arbitrary commands as the user running gdb.

More information can be found in the gentoo BTS:
http://bugs.gentoo.org/show_bug.cgi?id=88398

Comment 1 Josh Bressers 2005-05-24 20:13:39 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-07-29 21:06:46 UTC
Has this fix made it into the RHEL3 U6 update?

jakub has these fixes in the binutils update for RHEL3U6 and RHEL4U2, so I
believe even if we're not ready for U6, we can move forward with a patch.

Comment 3 Jeff Johnston 2005-10-04 18:26:35 UTC
This has been fixed in gdb errata gdb-6.3.0.0-0.31.4 and is in the current
releases RHEL3U6 and RHEL4U2.

Comment 4 Red Hat Bugzilla 2005-10-05 12:41:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-709.html



Note You need to log in before you can comment on or make changes to this bug.